For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delete WireguardPeer

Deletes the specified WireguardPeer.

delete
/wireguardgateways/{gatewayId}/peers/{peerId}
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
gatewayIdstring · uuidRequired

The ID (UUID) of the WireguardGateway.

Example: 85c79b4b-5b40-570a-b788-58dd46ea71e2
peerIdstring · uuidRequired

The ID (UUID) of the WireguardPeer.

Example: b62b3a40-adee-5b6c-b98d-be20bfcbdd91
Responses
202

Deleting WireguardPeer was successful.

No content

delete/wireguardgateways/{gatewayId}/peers/{peerId}
DELETE /wireguardgateways/{gatewayId}/peers/{peerId} HTTP/1.1
Host: vpn.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Last updated

Was this helpful?